%define upstream_name    Git-Class
%define upstream_version 0.13

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    A simple git wrapper to capture output
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Git/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Any::Moose) >= 0.90.0
BuildRequires: perl(Capture::Tiny)
BuildRequires: perl(Carp::Clan)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(MRO::Compat)
BuildRequires: perl(Module::Find)
BuildRequires: perl(Mouse) >= 0.230.0
BuildRequires: perl(Path::Extended) >= 0.190.0
BuildRequires: perl(Scope::Guard)
BuildRequires: perl(String::ShellQuote)
BuildRequires: perl(Test::Classy) >= 0.70.0
BuildRequires: perl(Test::More) >= 0.470.0
BuildRequires: perl(Test::UseAllModules) >= 0.120.0
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(URI::Escape)
BuildArch:  noarch

%description
This is a simple wrapper of a 'git' executable. The strength is that you
can run a 'git' command and capture the output in a simple and more
portable way than using 'open' to pipe (which is not always implemented
fully).

As of this writing, most of the git commands simply returns the output, but
this will be changed in the near future, especially when called in the list
context, where we may want sort of proccessed data like what files are
affected etc.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.130.0-3.mga4
+ Revision: 511831
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.130.0-2.mga3
+ Revision: 367747
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 0.130.0-1.mga3
+ Revision: 342187
- update to 0.13

* Sun Oct 21 2012 jquelin <jquelin> 0.120.0-1.mga3
+ Revision: 308822
- imported package perl-Git-Class


* Sun Oct 21 2012 cpan2dist 0.12-1mga
- initial mageia release, generated with cpan2dist
